/**
 * Template to analyze and modify the HTML.
 */
export declare class Template {
    private html;
    constructor(html: string);
    /**
     * Find all hydration scripts and return their data-island attribute and
     * their text content.
     */
    getIslands(): {
        island: string;
        json: string;
    }[];
    /**
     * Remove all script tags with matching src or text.
     */
    removeScripts(test: {
        src?: RegExp;
        text?: RegExp;
    }): void;
    /**
     * Insert markup into the html with the keys being CSS selectors.
     */
    insertMarkup(markup: Record<string, string>): void;
    /**
     * Return the HTML.
     */
    toString(): string;
}
