/**
 * Get the absolute path to index.html.
 * @param root the project root
 * @returns The absolute path
 * @throws Error, if file not found
 */
export declare function getIndexHtml(root?: string): string;
/**
 * Get the absolute path to the entry script.
 * @param root the project root
 * @returns The absolute path
 * @throws Error, if file not found
 */
export declare function getEntryScript(root?: string): string;
export type EntryScripts = {
    raw: string;
    server: string;
    client?: string;
};
/**
 * Get the absolute paths to the entry scripts.
 * @param root the project root
 */
export declare function getEntryScripts(root?: string): EntryScripts;
