/**
 * Check if a file or directory exists.
 * @returns true if the path exists, false otherwise.
 */
export declare function exists(file: string): boolean;
/**
 * Creates a directory and all possibly missing ancestors.
 */
export declare function mkdir(dir: string): void;
/**
 * Recursively deletes the given path.
 */
export declare function rm(path: string): void;
/**
 * Copy files.
 * @param source file or directory to copy
 * @param target destination file name or directory
 * @param opts optional filter and replacement functions
 * @returns the files that were written
 */
export declare function copy(source: string, target: string, opts?: {
    filter?: (basename: string) => boolean;
    replace?: Record<string, string>;
}): string[];
/**
 * Read the contents of a UTF-8 encoded file.
 */
export declare function read(file: string): string;
/**
 * Write a string to a file. Missing directories are created.
 */
export declare function write(file: string, data: string): void;
