import * as cheerio from "cheerio";
import { isLocalUrl, resolveUrl } from "./utils.js";
export function getLinks(html) {
    const $ = cheerio.load(html);
    return $('a[href]:not([target]),a[href][target="self"]')
        .map((i, el) => $(el).attr("href"))
        .toArray()
        .filter(isLocalUrl)
        .map(resolveUrl);
}
export function getEntrySrc(html) {
    const $ = cheerio.load(html);
    const src = $('script[type="module"][src]')
        .map((i, el) => $(el).attr("src"))
        .toArray()
        .filter(isLocalUrl);
    return src[0];
}
