import path from "path";
export function escapeRegex(str) {
    return str.replace(/[-/\\^$*+?.()|[\]{}]/g, "\\$&");
}
export function posixify(str) {
    return str.split(path.sep).join(path.posix.sep);
}
export function isLocalUrl(href) {
    const url = new URL(href, "file:///");
    return url.protocol === "file:" && !url.host;
}
export function resolveUrl(href) {
    const url = new URL(href, "file:///");
    return url.pathname;
}
export function stripLeadingSlash(s) {
    return s.replace(/^\//, "");
}
export function stripTrailingSlash(s) {
    return s.replace(/\/$/, "");
}
export function direct(s) {
    const i = s.indexOf("?");
    if (i === -1)
        return s + "?direct";
    if (s.slice(i).match(/[?&]direct\b/))
        return s;
    return s.replace("?", "?direct&");
}
export function addUnwrapped(s) {
    // Note: we add the basename so that the extension stays the same...
    return `${s}?unwrapped=${path.basename(s)}`;
}
